Subject: [PATCH v4] MMC: meson: initial support for GX platforms

From: [email-masked] (Kevin Hilman)
Date: Wed, 19 Oct 2016 11:01:53 -0700

Javier Martinez Canillas <[email-masked]> writes:

> Hello Kevin,
>
> On Tue, Oct 18, 2016 at 4:56 PM, Kevin Hilman <[email-masked]> wrote:
>> Initial support for the SD/eMMC controller in the Amlogic S905/GX*
>> family of SoCs.
>>
>> Signed-off-by: Kevin Hilman <[email-masked]>
>
> [snip]
>
>> +
>> +MODULE_ALIAS("platform:" DRIVER_NAME);
>
> Why is this module alias needed? I thought that the Amlogic was a
> DT-only platform and so devices will always be registered from OF (and
> the OF modalias used).

You're right, I probably copy/pasted it from another driver.

Testing without it also made me realize that the module filename (meson_gx)
isn't really useful when listed in lsmod, so I 'll respin to have mmc in
the filename so the module name also shows mmc.

Kevin